Subject: [sipcore] Session-timer: Proxy behavior

From: Christer Holmberg <[email-masked]>
Date: Tue, 9 Oct 2018 10:19:55 +0000

Hi,

I have tried to draft updated proxy procedures regarding session-timer.

Note that there will also be UA procedures.

Regards,

Christer

---

X.2. PROXY BEHAVIOR:

X.2.1. Receiving request:

- If the proxy receives a request with a S-E interval that it considers too low, the proxy SHOULD reject the request with a 422 response.

- If the proxy receives a request without a S-E header field, it SHOULD insert a S-E header field. If the proxy has previously inserted or forwarded a S-E header field within the dialog, it SHOULD insert the same S-E header field value in the request.

- The proxy MAY insert a Min-SE header field in the request, or increase the value of an existing Min-SE header field.

X.2.2. Receiving response:

- If the proxy receives a response without a S-E, and the proxy remembers that the request indicated support of the session timer, the proxy MUST insert a S-E header field. The proxy MUST set the refresher parameter value to "uac".

- If the proxy receives a response without a S-E, and the proxy remembers that the request did not indicate support of the session timer, the proxy forwards the response. No session timer will be negotiated.

- If the proxy receives a response with a S-E, the proxy forwards the response. The proxy MUST NOT modify the S-E header field.

---

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 9 Oct 2018 11:54:48 -0400

On 10/9/18 6:19 AM, Christer Holmberg wrote:
> - If the proxy receives a request with a S-E interval that it considers 
> too low, the proxy SHOULD reject the request with a 422 response.
> 
> 
> - If the proxy receives a request without a S-E header field, it SHOULD 
> insert a S-E header field. If the proxy has previously inserted or 
> forwarded a S-E header field within the dialog, it SHOULD insert the 
> same S-E header field value in the request.
> 
> 
> - The proxy MAY insert a Min-SE header field in the request, or increase 
> the value of an existing Min-SE header field.

I've lost track of what this is about. Is this intending to differ from 
section 8.1 of RFC4028?

> - If the proxy receives a response without a S-E, and the proxy 
> remembers that the request indicated support of the session timer, the 
> proxy MUST insert a S-E header field. The proxy MUST set the refresher 
> parameter value to "uac".
> 
> 
> - If the proxy receives a response without a S-E, and the proxy 
> remembers that the request did not indicate support of the session 
> timer, the proxy forwards the response. No session timer will be negotiated.
> 
> 
> - If the proxy receives a response with a S-E, the proxy forwards the 
> response. The proxy MUST NOT modify the S-E header field.

And is this intending to differ from section 8.2 of 4028?

	Thanks,
	Paul

---

From: OKUMURA Shinji <[email-masked]>
Date: Wed, 10 Oct 2018 15:11:39 +0900

Hi,

> - If the proxy receives a request with a S-E interval that it considers too low, the proxy SHOULD reject the request with a 422 response.

The current word in RFC4028 is [MAY], I think that there is no problem as it stands.

> - If the proxy receives a request without a S-E header field, it SHOULD insert a S-E header field. If the proxy has previously inserted or forwarded a S-E header field within the dialog, it SHOULD…

For the 1st "SHOULD", the current word in RFC4028 is [MAY], I think that there is no problem as it stands.
The 2nd "SHOULD" is seems to be good.

> - The proxy MAY insert a Min-SE header field in the request, or increase the value of an existing Min-SE header field.

The current RFC forbids this behaviour.
But I think this is a necessary one as I've  posted.

> - If the proxy receives a response without a S-E, and the proxy remembers that the request indicated support of the session timer, the proxy MUST insert a S-E header field. The proxy MUST set the r…

and MUST add the "timer" option tag to any Require header field in the response.
These are just current rules.

> - If the proxy receives a response without a S-E, and the proxy remembers that the request did not indicate support of the session timer, the proxy forwards the response. No session timer will be n…

This is a just current rule.

> - If the proxy receives a response with a S-E, the proxy forwards the response. The proxy MUST NOT modify the S-E header field.

This is a just current rule.

Regards,
Shinji

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 10 Oct 2018 06:44:20 +0000

Hi Shinji,

As you note, most of the things I write are already allowed by the RFC - which is good. The idea is to change as little as possible of the existing procedures :)

Regards,

Christer

On 10/10/2018, 9.11, "OKUMURA Shinji" <[email-masked]> wrote:

    Hi,

    

    

    

    
    
    Regards,
    Shinji